body {
    margin: 0;
    font-family: 'Inter', sans-serif;
}

header, nav, ul {
    margin: 0;
    padding: 0;
}

header {
    position: fixed;
    z-index: 1;
    width: 100%;
    display: flex;
    background-color: #333;
    height: 60px;
    align-items: center;
}

nav {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

nav ul {
    list-style-type: none;
    height: 60px;
    display: flex;
}

nav li {
    padding-left: 15%;
    padding-right: 15%;
    background-color: #333;
    transition: background-color 0.6s;
}

header a {
    color: #fff;
    text-decoration: none;
}

nav li:hover {
    background-color: #222;
    cursor: pointer;
}

#name {
    position: relative;
    width: 100%;
}

#name img {
    display: block;
    width: 100%;
    height: auto;
}

.text-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.205);
}

.text-overlay h1 {
    font-size: 100px;
    margin-bottom: 15px;
}

.text-overlay p {
    font-size: 30px;
}

#about {
    padding: 5%;
}

#about h2 {
    font-size: 40px;
    margin-top: 0px;
}

#about p {
    font-size: 24px;
}

#about-content {
    display: flex;
    flex-direction: row;
}

#resume {
    padding: 5%;
    background-color: #efefef;
}

#resume h2 {
    font-size: 40px;
    margin-top: 0px;
}

#crop {
    width: 100%;
    position: relative;
    overflow: hidden;
    border-radius: 50%;
  }
  
#crop img {
    display: inline;
    margin: 0 auto;
    height: 100%;
    width: 100%;
}

#socials {
    background-color: #ddd;       /* king dedede */
    padding: 2%;
}

#socials h3 {
    font-size: 32px;
    text-align: center;
    margin-top: 0px;
}

#links {
    display: flex;
    flex-direction: row;
}

#links a {
    color: #000;
    flex-grow: 1;
    text-align: center;
}

#spacer {
    height: 60px;
}